ranges::overloaded< First, Rest... > Struct Template Reference
Functional

## Public Member Functions

template<typename... Args>
CPP_TEMPLATE_AUX_0 | c (requires invocable< First &, Args... >) ccconstexpr _result_t< detail
template<typename... Args>
CPP_TEMPLATE_AUX_0 | c (requires invocable< First const &, Args... >) ccconstexpr _result_t< detail
template<typename... Args>
CPP_TEMPLATE_AUX_0 | c (requires invocable< First, Args... >) ccconstexpr _result_t< detail
template<typename... Args>
CPP_TEMPLATE_AUX_0 | c (requires(!invocable< First &, Args... >) &&invocable< overloaded< Rest... > &, Args... >) ccconstexpr _result_t< detail
template<typename... Args>
CPP_TEMPLATE_AUX_0 | c (requires(!invocable< First const &, Args... >) &&invocable< overloaded< Rest... > const &, Args... >) ccconstexpr _result_t< detail
template<typename... Args>
CPP_TEMPLATE_AUX_0 | c (requires(!invocable< First, Args... >) &&invocable< overloaded< Rest... >, Args... >) ccconstexpr _result_t< detail
constexpr | overloaded (First first, Rest... rest)